Soporte » Plugins y Hacks » WooCommerce » Problema al actualizar

  • cgarcia1

    (@cgarcia1)


    Hola, tengo instalado en mi página WooCommerce 3.2.6, uso un tema propio y todo funciona correctamente pero cuando actualizo se me rompe todo. El principal problema es que al actualizar, la página de catálogo coge la plantilla «page-template-default» en vez de la plantilla «archive». Esto pasa cuando actualizo WooCommerce a 3.3.0 o superior.

    Sé que el problema es de mi tema porque si lo cambio por twentyseventeen, por ejemplo, se soluciona pero he eliminado todas las plantillas de Woocommerce que sobreescribo en mi tema, todas las funciones propias del tema, desactivado todos los demás plugins y nada de esto funciona.

    ¿A alguien le ha pasado algo similar y me puede dar alguna idea?

    Muchas gracias.

Viendo 9 respuestas - de la 1 a la 9 (de un total de 9)
  • bigdatadestroy

    (@bigdatadestroy)

    No se si lo que estoy diciendo es una tontería, igual ya lo planteaste en su día, si es así no hagas caso. Creaste un tema hijo para hacer las modificaciones o trabajaste sobre el theme original?
    Un saludo.

    Moderador almendron

    (@almendron)

    También podría ser que la plantilla tuviera algún tipo de incompatibilidad con la nueva versión de WooCommerce.

    Deberías ponerte en contacto con la persona que desarrolló el tema para que resuelva ese problema.

    Mientras tanto, sigue usando 3.2.6 o cambia de tema.

    cgarcia1

    (@cgarcia1)

    Hola, @bigdatadestroy, trabajé sobre el theme original.

    cgarcia1

    (@cgarcia1)

    @almendron, ahí está el problema, no puedo contactar con quien desarrolló el problema 🙂

    cehojac

    (@cehojac)

    @cgarcia1 ¿Te da un error 500 o simplemente no te muestra lo que debería mostrarte? hay alguna forma de ver tu tema?

    Saludos

    cgarcia1

    (@cgarcia1)

    @cehojac no da error 500 pero la página de catálogo de woocommerce debería coger la plantilla de archive y está cogiendo la plantilla de defecto de página, es decir, las clases del body deberían ser algo así: «archive post-type-archive post-type-archive-product woocommerce woocommerce-page». Pero al actualizar, las clases del body son estas: «page-template-default page page-id-21 woocommerce woocommerce-page».

    ¿Es el código del tema lo que te gustaría ver? Si es así lo subo a un repositorio público.

    Un saludo.

    cehojac

    (@cehojac)

    @cgarcia1 Sería bueno ver los archivos de las plantillas que te dan conflicto, puede ser una tontería 4 ojos ven mejor que 2 (y en este caso creo que varios ojos pueden ayudarte)

    cgarcia1

    (@cgarcia1)

    @cehojac Perfecto, lo voy a subir a un repositorio público. Cuando lo tenga pongo el link. Gracias!

    cgarcia1

    (@cgarcia1)

    Aquí está el código https://bitbucket.org/carlosgrgr/naharro-theme/src/master/

    • Esta respuesta fue modificada hace 1 año por cgarcia1.
Viendo 9 respuestas - de la 1 a la 9 (de un total de 9)
  • El debate ‘Problema al actualizar’ está cerrado a nuevas respuestas.